package com.ss.android.ugc.aweme.sticker.tabguide;

import X.07U;
import X.0CB;
import X.0CH;
import X.0CN;
import X.C2993NZk;
import X.C2994NZl;
import X.M12;
import X.NBR;
import X.NBS;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.effectmanager.effect.model.EffectCategoryModel;

public final class DefaultStickerTabGuidePresenter implements C2994NZl<07U<EffectCategoryModel, Object>>, C2994NZl {
    public static final C2993NZk LIZ = new C2993NZk((byte) 0);

    static {
        Covode.recordClassIndex(116254);
    }

    public final void LIZ(NBR nbr) {
        M12.LIZ(nbr);
    }

    public final void LIZ(NBS nbs) {
        M12.LIZ(nbs);
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public final void onDestroy() {
    }

    public final void onStateChanged(0CH r2, 0CB r3) {
        if (r3 == 0CB.ON_DESTROY) {
            onDestroy();
        }
    }
}
